# [distrust.co](https://distrust.co)

Web page source.

## Instructions

0. If the repo was not cloned with submodules:
```shell
$ git submodule update --init --recursive
```

You can manually clone the submodule into the dir if the above command doesn't work:

```shell
git clone https://github.com/b2a3e8/jekyll-theme-console _vendor/jekyll-theme-console
```

1. Install `make`.
2. Install `docker`
3. Build Docker container

```shell
$ make build
```

4. Serve site at `0.0.0.0:4000`:

```shell
$ make serve
```

### Publish Docker container to Codeberg

1. Use `docker login` with a Codeberg PAT with write package scope
2. Tag container with Codeberg repo name

```shell
docker tag milksad-distrust-co codeberg.org/distrust/milksad-distrust-co
```

3. Push container to Codeberg container registry

```sh
dockerb push codeberg.org/distrust/milksad-distrust-co
```


### Generate Static Files

1. Output static files in `_site` directory:

```shell
$ make _site
```

### Cleanup

1. Remove all build artifacts:

```shell
$ make fullclean
```
